import 'package:project_core/core/bloc/Bloc.dart';
import 'package:project_core/core/bloc/BlocController.dart';
import 'package:project_core/core/model/AppResponse.dart';

import '../model/Campaign.dart';
import '../repository/CampaignRepository.dart';

class CampaignBloc extends Bloc {
  final _repository = CampaignRepository();
  final _controller =
      BlocController<AppResponse<List<Campaign>>>(initalData: null);

  Stream<AppResponse<List<Campaign>>> get streamOut => _controller.stream;

  fetchAll() async {
    _controller.add(AppResponse.loading('Carregando as Campanhas'));
    try {
      List<Campaign> campaigns = await _repository.fetchAll();
      _controller.add(AppResponse.completed(campaigns));
    } catch (e) {
      _controller.add(AppResponse.error(e.toString()));
    }
  }

  @override
  void dispose() {
    _controller.dispose();
  }
}
