import 'package:project_core/core/bloc/Bloc.dart';
import 'package:project_core/core/bloc/BlocController.dart';
import 'package:project_core/core/model/AppResponse.dart';

import '../model/Transaction.dart';
import '../repository/TransactionRepository.dart';

class TransactionBloc extends Bloc {
  final _repository = TransactionRepository();
  final _controller =
      BlocController<AppResponse<List<Transaction>>>(initalData: null);

  Stream<AppResponse<List<Transaction>>> get streamOut => _controller.stream;

  fetchAll() async {
    _controller.add(AppResponse.loading('Carregando as Transações'));
    try {
      List<Transaction> transactions = await _repository.fetchAll();
      _controller.add(AppResponse.completed(transactions));
    } catch (e) {
      _controller.add(AppResponse.error(e.toString()));
    }
  }

  @override
  void dispose() {
    _controller.dispose();
  }
}
