import 'package:project_core/core/model/Entity.dart';

class Transaction extends Entity<int> {
  int id;
  String loja;
  String valor;
  String data;
  bool credit;

  Transaction(this.id, this.loja, this.valor, this.data, this.credit);

  Transaction.empty();

  Transaction.fromJson(Map<String, dynamic> json)
      : id = json['id'],
        loja = json['loja'],
        valor = json['valor'],
        data = json['data'],
        credit = json['credit'];

  @override
  int getId() {
    return id;
  }

  @override
  void fromJson(Map<String, dynamic> json) {
    id = json['id'];
    loja = json['loja'];
    valor = json['valor'];
    data = json['data'];
    credit = json['credit'];
  }

  @override
  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'loja': loja,
      'valor': valor,
      'data': data,
      'credit': credit
    };
  }
}
