import 'package:graphql/src/core/query_options.dart';
import 'package:project_core/core/provider/GraphqlQuery.dart';
import '../../../model/Campaign.dart';

class CampaignQuery extends GraphqlQuery<Campaign, int> {
  @override
  String getTableName() {
    return "campaign";
  }

  @override
  QueryOptions fetchQuery() {
    return QueryOptions(documentNode: gql(fetchAll));
  }

  @override
  QueryOptions fetchQueryById(int id) {
    return QueryOptions(documentNode: gql(fetchById), variables: {'id': id});
  }

  @override
  MutationOptions insertMutation(Campaign instance) {
    throw UnimplementedError();
  }

  @override
  MutationOptions updateMutation(Campaign instance) {
    throw UnimplementedError();
  }

  @override
  MutationOptions deleteMutation(int id) {
    throw UnimplementedError();
  }
}

const String fetchAll = r'''
query MyQuery {
  campaign {
    id
    name
    startdate
    captainbonus
    earlysignupcoins
    earlysignupdays
    earlysignuppoints
    enddate
    regularsignupcoins
    regularsignuppoints
  }
}

''';

const fetchById = r'''
query pesquisarCampanhaById($id: bigint!) {
  campaign(where: {id: {_eq: $id}}) {
    id
    name
    startdate
    captainbonus
    earlysignupcoins
    earlysignupdays
    earlysignuppoints
    enddate
    regularsignupcoins
    regularsignuppoints
  }
}
''';
