import 'package:project_core/core/provider/Provider.dart';
import 'package:project_core/core/repository/Repository.dart';

import '../model/Campaign.dart';
import '../provider/graphql/CampaignGqlProvider.dart';

class CampaignRepository extends Repository<Campaign> {
  CampaignGqlProvider _campaignProvider = CampaignGqlProvider();

  @override
  Campaign fromMap(Map<String, dynamic> json) {
    Campaign campaign = Campaign.empty();
    campaign.fromJson(json);
    return campaign;
  }

  @override
  Provider<Campaign> getApiProvider() {
    return _campaignProvider;
  }
}
