import 'package:project_core/core/provider/Provider.dart';
import 'package:project_core/core/repository/Repository.dart';

import '../model/Transaction.dart';
import '../provider/rest/TransactionProvider.dart';

class TransactionRepository extends Repository<Transaction> {
  TransactionProvider _transactionProvider = TransactionProvider("transacoes");

  @override
  Transaction fromMap(Map<String, dynamic> json) {
    Transaction transaction = Transaction.empty();
    transaction.fromJson(json);
    return transaction;
  }

  @override
  Provider<Transaction> getApiProvider() {
    return _transactionProvider;
  }
}
