import 'package:project_core/env/EnvConfig.dart';
import 'package:graphql_flutter/graphql_flutter.dart';

class GraphQLClientInstance {
  static final GraphQLClientInstance instance = GraphQLClientInstance._();

  GraphQLClientInstance._();

  final GraphQLClient client = GraphQLClient(
    link: HttpLink(
        uri: Env.instance.config.graphqlUrl,
        headers: {'x-hasura-admin-secret': Env.instance.config.graphqlSecret}),
    cache: OptimisticCache(
      dataIdFromObject: typenameDataIdFromObject,
    ),
  );

  final GraphQLClient clientTest = GraphQLClient(
      link: HttpLink(uri: Env.instance.config.graphqlUrl, headers: {
        'x-hasura-admin-secret': Env.instance.config.graphqlSecret
      }),
      cache: InMemoryCache());
}
