import 'package:project_core/env/EnvConfig.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

import 'env/env.dart';
import 'locale/AppLanguage.dart';
import 'ui/App.dart';

void main() async {
  WidgetsFlutterBinding.ensureInitialized();
  AppLanguage appLanguage = AppLanguage();
  Env.instance.setEnv(env);
  await appLanguage.fetchLocale();
  runApp(MultiProvider(
      providers: [
        ChangeNotifierProvider<AppLanguage>(create: (_) => appLanguage)
      ],
      child: Consumer<AppLanguage>(builder: (context, model, child) {
        return App(appLanguage: model);
      })));
}
