import 'package:project_core/core/bloc/NavigationBloc.dart';
import 'package:flutter_localizations/flutter_localizations.dart';
import 'package:flutter/material.dart';

import '../locale/AppLanguage.dart';
import '../locale/AppLocalizations.dart';
import 'page/AppPage.dart';
import 'page/Route.dart';

class App extends StatelessWidget {
  final AppLanguage appLanguage;

  App({this.appLanguage});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Exemplo',
      debugShowCheckedModeBanner: false,
      navigatorKey: NavigationBloc.instance.navigatorKey,
      onGenerateRoute: Router.generateRoute,
      locale: appLanguage.appLocal,
      localizationsDelegates: [
        AppLocalizations.delegate,
        GlobalMaterialLocalizations.delegate,
        GlobalWidgetsLocalizations.delegate,
      ],
      home: AppPage(title: "Home"),
    );
  }
}
