import 'package:flutter/material.dart';

import '../../locale/AppLocalizations.dart';
import 'BasicPage.dart';
import 'ExemploBlocGraphqlPadraoPage.dart';
import 'ExemploBlocGraphqlPage.dart';
import 'ExemploBlocRestPadraoPage.dart';
import 'ExemploBlocRestPage.dart';

class AppPage extends StatefulWidget {
  AppPage({Key key, this.title}) : super(key: key);
  final String title;

  @override
  _AppPageState createState() => _AppPageState();
}

class _AppPageState extends State<AppPage> {
  final _scaffoldKey = GlobalKey<ScaffoldState>();

  int _selectedIndex = 0;
  List<Widget> _widgets = <Widget>[
    BasicPage(title: "Home"),
    ExemploBlocRestPage(title: "Rest"),
    ExemploBlocRestPadraoPage(title: "Rest Padrão"),
    ExemploBlocGraphqlPage(title: "Graphql"),
    ExemploBlocGraphqlPadraoPage(title: "Graphql Padrão")
  ];

  @override
  void initState() {
    super.initState();
  }

  @override
  void dispose() {
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      key: _scaffoldKey,
      resizeToAvoidBottomPadding: true,
      body: _widgets[_selectedIndex],
      bottomNavigationBar: BottomNavigationBar(
        showUnselectedLabels: true,
        selectedItemColor: Colors.blueAccent,
        unselectedItemColor: Colors.black38,
        items: <BottomNavigationBarItem>[
          BottomNavigationBarItem(
            icon: Icon(Icons.home),
            title:
                Text(AppLocalizations.of(context).translate('bottomTabHome')),
          ),
          BottomNavigationBarItem(
            icon: Icon(Icons.shopping_cart),
            title: Text(
                AppLocalizations.of(context).translate('bottomTabExemplo1')),
          ),
          BottomNavigationBarItem(
            icon: Icon(Icons.shopping_cart),
            title: Text(
                AppLocalizations.of(context).translate('bottomTabExemplo2')),
          ),
          BottomNavigationBarItem(
            icon: Icon(Icons.shopping_cart),
            title: Text(
                AppLocalizations.of(context).translate('bottomTabExemplo3')),
          ),
          BottomNavigationBarItem(
            icon: Icon(Icons.shopping_cart),
            title: Text(
                AppLocalizations.of(context).translate('bottomTabExemplo4')),
          ),
        ],
        currentIndex: _selectedIndex,
        onTap: _onItemTapped,
      ),
    );
  }

  void _onItemTapped(int index) {
    setState(() {
      _selectedIndex = index;
    });
  }
}
