import 'package:flutter_test/flutter_test.dart';
import 'package:project_core/auth/provider/jwt/JwtProvider.dart';
import 'package:project_core/core/bloc/AuthBloc.dart';
import 'package:project_core/core/exception/AppException.dart';
import 'package:project_core/core/model/AuthToken.dart';
import 'package:project_core/env/EnvConfig.dart';
import 'package:project_core_example/env/env.dart';
import 'package:shared_preferences/shared_preferences.dart';

void main() {
  Env.instance.setEnv(env);
  group('Autenticação', () {
    test('Verifica se o login será bem executado', () async {
      SharedPreferences.setMockInitialValues({});
      final AuthBloc authBloc = AuthBloc(JwtProvider("auth/login"));
      try {
        AuthToken authToken = await authBloc
            .auth({'email': "bruno@email.com", 'password': "bruno"});
        expect(authToken, isNotNull);
        expect(authToken.token, isNotNull);
      } on AppException catch (e) {
        fail(e.toString());
      }
    });
  });
}
