import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';

class NavigationBloc {
  static final NavigationBloc instance = NavigationBloc._();

  NavigationBloc._();

  final GlobalKey<NavigatorState> navigatorKey =
      new GlobalKey<NavigatorState>();

  Future<dynamic> navigateTo(String routeName, {String message}) {
    return navigatorKey.currentState.pushNamed(routeName, arguments: message);
  }

  Future<dynamic> navigateToRemoveUntil(String routeName, {String message}) {
    return navigatorKey.currentState.pushNamedAndRemoveUntil(
        routeName, (Route<dynamic> route) => false,
        arguments: message);
  }

  Future<dynamic> navigateLogout({String message}) {
    return navigateToRemoveUntil("/login", message: message);
  }

  bool goBack() {
    return navigatorKey.currentState.pop();
  }
}
