import 'package:project_core/util/Util.dart';

class AuthToken {
  String token;
  String refreshToken;
  String tokenType;
  int expiration;

  Map<String, dynamic> claims;

  AuthToken(
      String token, String refreshToken, String tokenType, int expiration) {
    this.token = token;
    this.refreshToken = refreshToken;
    this.tokenType = tokenType;
    this.expiration = expiration;
    this.claims = Util.decodeClaims(this.token);
    if (this.expiration == null &&
        this.claims != null &&
        this.claims.isNotEmpty) {
      this.expiration = claims["exp"];
    }
  }

  AuthToken.empty();

  factory AuthToken.fromJson(Map<String, dynamic> json) {
    return AuthToken(json['token'], null, json['tokenType'] ?? 'Bearer', null);
  }

  bool isTokenExpired() {
    int bufferSeconds = 10;
    var expirationTime =
        new DateTime.fromMillisecondsSinceEpoch((expiration * 1000).round());
    var currentTime = DateTime.now();
    Duration durationRemaining = expirationTime.difference(currentTime);
    return (durationRemaining.inSeconds - bufferSeconds) <= 0;
  }
}
