import 'package:project_core/core/model/Entity.dart';
import 'package:project_core/core/provider/ApiGraphqlProvider.dart';
import 'package:project_core/core/provider/GraphqlQuery.dart';
import 'package:project_core/default/repository/DefaultRepository.dart';
import 'package:graphql_flutter/graphql_flutter.dart';

class DefaultGraphqlRepository<T extends Entity, IdType>
    extends DefaultRepository<T> {
  DefaultGraphqlRepository(
      jsonEntityCreator, GraphQLClient client, GraphqlQuery<T, IdType> query)
      : super(jsonEntityCreator, ApiGraphqlProvider<T>(client, query));
}
